Author Topic: Critical error after upgrade to 1.2.12... PLEASE HELP!  (Read 642 times)

Offline pixel

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Critical error after upgrade to 1.2.12... PLEASE HELP!
« on: April 20, 2018, 11:54:37 AM »
I am getting the following error when I updated to 1.2.12

There has been a critical error processing your request

SQL Error: Unknown column 'stock_checkout' in 'field list'
Error No: 1054
SQL: SELECT DISTINCT *, pd.name AS name, m.name AS manufacturer, ss.name AS stock_status, stock_checkout, lcd.unit as length_class_name, ( SELECT AVG(r.rating) FROM abpc_reviews r WHERE p.product_id = r.product_id AND status = 1 GROUP BY r.product_id ) AS rating , COALESCE( ( SELECT p2sp.price FROM abpc_product_specials p2sp WHERE p2sp.product_id = p.product_id AND p2sp.customer_group_id = '1' AND ((p2sp.date_start = '0000-00-00' OR p2sp.date_start < NOW()) AND (p2sp.date_end = '0000-00-00' OR p2sp.date_end > NOW())) ORDER BY p2sp.priority ASC, p2sp.price ASC LIMIT 1 ) , p.price) as final_price FROM abpc_products p LEFT JOIN abpc_product_descriptions pd ON (p.product_id = pd.product_id AND pd.language_id = '1') LEFT JOIN abpc_products_to_stores p2s ON (p.product_id = p2s.product_id) LEFT JOIN abpc_manufacturers m ON (p.manufacturer_id = m.manufacturer_id) LEFT JOIN abpc_stock_statuses ss ON (p.stock_status_id = ss.stock_status_id AND ss.language_id = '1') LEFT JOIN abpc_length_class_descriptions lcd ON (p.length_class_id = lcd.length_class_id AND lcd.language_id = '1') WHERE p.product_id = '125' AND p2s.store_id = '0' AND p.date_available <= NOW() AND p.status
« Last Edit: April 20, 2018, 01:32:51 PM by pixel »

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 3959
  • Karma: +239/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #1 on: April 21, 2018, 02:01:20 PM »
Did you get any errors during upgrade?

Looks like stock_checkout column is missing

You can try add missing column with

ALTER TABLE ac_products ADD COLUMN `stock_checkout` CHAR(1) NULL DEFAULT '';
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline pixel

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #2 on: April 23, 2018, 12:27:06 PM »
no errors. Added this line and it works, thank you so much. I now have one other issue I cannot seem to figure out... I have slowly been getting this wire code displaying on the home page and then on the products pages it gets worse. I have tried playing with extensions and tried to find places to later code but have not been successful, can you possibly assist with this?

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 3634
  • Karma: +179/-0
    • View Profile
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #3 on: April 24, 2018, 11:58:12 PM »
Hi.
First check for the 3rd party extension you have installed. You need uninstall one by one to make sure they did not broke template
“Chuck Norris is so amazing.”
― Mother Teresa

Offline pixel

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #4 on: April 25, 2018, 12:18:30 PM »
I have... no luck!

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 3634
  • Karma: +179/-0
    • View Profile
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #5 on: April 25, 2018, 10:47:57 PM »
Uninstall addthis if you have it but please post a link so we can check too
“Chuck Norris is so amazing.”
― Mother Teresa

Offline pixel

  • Newbie
  • *
  • Posts: 7
  • Karma: +0/-0
    • View Profile
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #6 on: April 26, 2018, 12:00:55 PM »
UGH!! I totally skipped over that one! That was my problem! Thank you so much!

Online llegrand

  • Hero Member
  • *****
  • Posts: 1346
  • Karma: +339/-2
    • View Profile
Re: Critical error after upgrade to 1.2.12... PLEASE HELP!
« Reply #7 on: April 26, 2018, 12:30:14 PM »
Did you have the latest version of Addthis installed?  v 1.2.7.10 is latest

http://marketplace.abantecart.com/addthis?keyword=addthis&category_id=0

third-party extension get updated too!

 

Maternity Dress